#
# spec file for package rubygem-bundler
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-bundler
Version:        1.7.15
Release:        2.7
%define mod_name bundler
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 1
Requires:       ruby19
BuildRequires:  ruby19-devel
Url:            http://gembundler.com
Source:         %{mod_full_name}.gem
Summary:        The best way to manage your application's dependencies
License:        MIT and Ruby
Group:          Development/Languages/Ruby

%define rb_ver  %{rb19_ver}

%description
Bundler manages an application's dependencies through its entire life, across
many machines, systematically and repeatably

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem19_install %{S:0} || :

%files
%defattr(-,root,root,-)
%{_bindir}/bundle*
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec

%changelog
* Wed May  6 2015 cs@linux-administrator.com
- Update to version 1.7.15
* Thu May  9 2013 cs@linux-administrator.com
- Update to version 1.3.5
* Fri Nov 30 2012 coolo@suse.com
- updated to version 1.2.3
  - fix exceptions while loading some gemspecs
* Thu Nov 15 2012 coolo@suse.com
- updated to version 1.2.2
  - support new Psych::SyntaxError for Ruby 2.0.0 (@tenderlove, @sol)
  - `bundle viz` works with git gems again (@hirochachacha)
  - recognize more cases when OpenSSL is not present
* Wed Sep 19 2012 coolo@suse.com
- updated to version 1.2.1
  Bugfixes:
  - `bundle clean` now works with BUNDLE_WITHOUT groups again
  - have a net/http read timeout around the Gemcutter API Endpoint
* Fri Aug 31 2012 coolo@suse.com
- updated to version 1.2.0
  Bugfixes:
  - raise original error message from LoadError's
  Documentation:
  - `platform` man pages
  [#]# 1.2.0.rc.2 (Aug 8, 2012)
  Bugfixes:
  - `clean` doesn't remove gems that are included in the lockfile
  [#]# 1.2.0.rc (Jul 17, 2012)
  Features:
  - `check` now has a `--dry-run` option (@svenfuchs, #1811)
  - loosen ruby directive for engines
  - prune git/path directories inside vendor/cache (@josevalim, #1988)
  - update vendored thor to 0.15.2 (@sferik)
  - add .txt to LICENSE (@postmodern, #2001)
  - add `config disable_local_branch_check` (@josevalim, #1985)
  - fall back on the full index when experiencing syck errors (#1419)
  - handle syntax errors in Ruby gemspecs (#1974)
  Bugfixes:
  - fix `pack`/`cache` with `--all` (@josevalim, #1989)
  - don't display warning message when `cache_all` is set
  - check for `nil` PATH (#2006)
  - Always try to keep original GEM_PATH (@drogus, #1920)
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to get new provisions
* Sun Jul 22 2012 coolo@suse.com
- update to 1.1.5
  - Special case `ruby` directive from 1.2.0, so you can install Gemfiles that use it
* Mon Jun 25 2012 coolo@suse.com
- update to 1.1.4
  - Use `latest_release` in Capistrano and Vlad integration (#1264)
  - Unknown exceptions now link to ISSUES for help instead of a new ticket
  - When OpenSSL is missing, provide instructions for fixing (#1776 etc.)
  - Correct inline help for `clean --force` (@dougbarth, #1911)
  - Work around a Ruby 1.9.3p194 bug in Psych when config files are empty
* Wed Apr  4 2012 coolo@suse.com
- update to 1.1.3, see CHANGELOG.md
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Thu Nov  3 2011 mrueckert@suse.de
- update to 1.0.21 (bnc#727772)
  - Load Psych unless Syck is defined, because 1.9.2 defines YAML
  - Add platform :maglev (@timfel, #1444)
  - Ensure YAML is required even if Psych is found
  - Handle directory names that contain invalid regex characters
  - Rescue interrupts to `bundle` while loading bundler.rb (#1395)
  - Allow clearing without groups by passing `--without ''` (#1259)
  - Manually sort requirements in the lockfile (#1375)
  - Remove several warnings generated by ruby -w (@stephencelis)
  - Handle trailing slashes on names passed to `gem` (#1372)
  - Name modules for gems like 'test-foo_bar' correctly (#1303)
  - Don't require Psych if Syck is already loaded (#1239)
  - Compatability with Rubygems 1.8.10 installer changes
  - Report gem installation failures clearly (@rwilcox, #1380)
  - Useful error for cap and vlad on first deploy (@nexmat, @kirs)
  - `exec` now works when the command contains 'exec'
  - Only touch lock after changes on Windows (@robertwahler, #1358)
  - Keep load paths when #setup is called multiple times (@radsaq,
    [#1379])
  - Fix typo in DEBUG_RESOLVER (@geemus)
  - Fixes rake 0.9.x warning (@mtylty, #1333)
  - Fix `bundle cache` again for rubygems 1.3.x
  - Run the bundle install earlier in a Capistrano deployment
    (@cgriego, #1300)
  - Support hidden gemspec (@trans, @cldwalker, #827)
  - Make fetch_specs faster (@zeha, #1294)
  - Allow overriding development deps loaded by #gemspec (@lgierth,
    [#1245])
  - Fix rake issues with rubygems 1.3.x (#1342)
  - Fixed invalid byte sequence error while installing gem on Ruby
    1.9 (#1341)
  - Performance fix for MRI 1.9 (@efficientcloud, #1288)
  - Shortcuts (like `bundle i`) for all commands (@amatsuda)
  - Correcly identify missing child dependency in error message
  - Allow Windows network share paths with forward slashes
    (@mtscout6, #1253)
  - Check for rubygems.org credentials so `rake release` doesn't
    hang (#980)
  - Find cached prerelease gems on rubygems 1.3.x (@dburt, #1202)
  - Fix `bundle install --without` on kiji (@tmm1, #1287)
  - Get rid of warning in ruby 1.9.3 (@smartinez87, #1231)
  - Documentation for `gem ..., :require => false` (@kmayer, #1292)
  - Gems provide "executables", they are rarely also binaries
    (@fxn, #1242)
* Tue Aug 16 2011 mrueckert@suse.de
- change license header to list MIT and Ruby (bnc#712391)
* Wed Jul 20 2011 mrueckert@suse.de
- update to 1.0.15
  - Improved Rubygems integration, removed many deprecation notices
  - Escape URL arguments to git correctly on Windows (1.0.14
    regression)
- additional changes from 1.0.14
  - Rubinius platform :rbx (@rkbodenner)
  - Include gem rake tasks with "require 'bundler/gem_tasks"
    (@indirect)
  - Include user name and email from git config in new gemspec
    (@ognevsky)
  - Set file permissions after checking out git repos (@tissak)
  - Remove deprecated call to Gem::SourceIndex#all_gems (@mpj)
  - Require the version file in new gemspecs (@rubiii)
  - Allow relative paths from the Gemfile in gems with no gemspec
    (@mbirk)
  - Install gems that contain 'bundler', e.g. guard-bundler (@hone)
  - Display installed path correctly on Windows (@tadman)
  - Escape quotes in git URIs (@mheffner)
  - Improve Rake 0.9 support (@quix)
  - Handle certain directories already existing (@raggi)
  - Escape filenames containing regex characters (@indirect)
- additional changes from 1.0.13
  - Compatibility with Rubygems master (soon to be v1.8) (@evanphx)
  - Informative error when --path points to a broken symlink
  - Support Rake 0.9 and greater (@e2)
  - Output full errors for non-TTYs e.g. pow (@josh)
  - Allow spaces in gem path names for gem tasks (@rslifka)
  - Have cap run bundle install from release_path (@martinjagusch)
  - Quote git refspec so zsh doesn't expand it (@goneflyin)
- additional changes from 1.0.12
  - Add --no-deployment option to `install` for disabling it on dev
    machines
  - Better error message when git fails and cache is present
    (@parndt)
  - Honor :bundle_cmd in cap `rake` command (@voidlock, @cgriego)
  - Compatibility with Rubygems 1.7 and Rails 2.3 and vendored gems
    (@evanphx)
  - Fix changing gem order in lock (@gucki)
  - Remove color escape sequences when displaying man pages
    (@bgreenlee)
  - Fix creating GEM_HOME on both JRuby 1.5 and 1.6 (@nickseiger)
  - Fix gems without a gemspec and directories in bin/ (@epall)
  - Fix --no-prune option for `bundle install` (@cmeiklejohn)
- additional changes from 1.0.11
  - Compatibility with Rubygems 1.6 and 1.7
  - Better error messages when a git command fails
  - Don't always update gemspec gems (@carllerche)
  - Remove ivar warnings (@jackdempsey)
  - Fix occasional git failures in zsh (@jonah-carbonfive)
  - Consistent lock for gems with double deps like Cap (@akahn)
* Thu Feb  3 2011 dmacvicar@suse.de
- update to 1.0.10
  - Fix a regression loading YAML gemspecs from :git and :path gems
  - Requires, namespaces, etc. to work with changes in Rubygems 1.5
- update to 1.0.9
  - Fix a bug where Bundler.require could remove gems from the load
    path.
    In Rails apps with a default application.rb, this removed all
    gems in groups other than :default and Rails.env.
- update to 1.0.8
  - Allow overriding gemspec() deps with :git deps
  - Add --local option to bundle update
  - Ignore Gemfile.lock in newly generated gems
  - Use less as help pager instead of more
  - Run bundle exec rake instead of rake in Capistrano tasks
  - Fix --no-cache option for bundle install
  - Allow Vlad deploys to work without Capistrano gem installed
  - Fix group arguments to bundle console
  - Allow groups to be loaded even if other groups were loaded
  - Evaluate gemspec() gemspecs in their directory not the cwd
  - Count on Rake to chdir to the right place in GemHelper
  - Change Pathnames to Strings for MacRuby
  - Check git process exit status correctly
  - Fix some warnings in 1.9.3-trunk (thanks tenderlove)
* Thu Nov 18 2010 mrueckert@suse.de
- update to 1.0.7
  - Remove Bundler version from the lockfile because it broke
    backwards compatibility with 1.0.0-1.0.5. Sorry. :(
- update to 1.0.6
  - Fix regression in `update` that caused long/wrong results
  - Allow git gems on other platforms while installing (#579)
  - Speed up `install` command using various optimizations
  - Significantly increase performance of resolver
  - Use upcoming Rubygems performance improvements (@tmm1)
  - Warn if the lockfile was generated by a newer version
  - Set generated gems' homepage to "", so Rubygems will warn
- update to 1.0.5
  - Fix regression disabling all operations that employ sudo
- update to 1.0.4
  - Expand relative :paths from Bundler.root (eg ./foogem)
  - Allow git gems in --without groups while --frozen
  - Allow gem :ref to be a symbol as well as a string
  - Fix exception when Gemfile needs a newer Bundler version
  - Explanation when the current Bundler version conflicts
  - Explicit error message if Gemfile needs newer Bundler
  - Ignore an empty string BUNDLE_GEMFILE
  - Skeleton gemspec now works with older versions of git
  - Fix shell quoting and ref fetching in GemHelper
  - Disable colored output in --deployment
  - Preserve line endings in lock file
  - Add support for 'mingw32' platform (aka RubyInstaller)
  - Large speed increase when Gemfile.lock is already present
  - Huge speed increase when many (100+) system gems are present
  - Significant expansion of ISSUES, man pages, and docs site
  - Remove Open3 from GemHelper (now it works on Windows™®©)
  - Allow setting roles in built-in cap and vlad tasks
* Thu Nov 11 2010 mrueckert@suse.de
- update to 1.0.3
* Mon Aug 30 2010 dmacvicar@novell.com
- update to 1.0.0
* Tue Aug  3 2010 dmacvicar@novell.com
- update to 1.0rc2
* Thu Jun 10 2010 mrueckert@suse.de
- update to version 0.9.26
  - error nicely on incompatible 0.10 lockfiles
* Fri May 14 2010 dmacvicar@novell.com
- update to 0.9.25
  - explicitly coerce Pathname objects to Strings for Ruby 1.9
  - fix some newline weirdness in output from install command
* Thu Feb 18 2010 mrueckert@suse.de
- update to 0.9.7
* Thu Feb 11 2010 dmacvicar@novell.com
- update to 0.9.4
* Thu Feb  4 2010 dmacvicar@novell.com
- update to 0.9.1
* Fri Jan 15 2010 mrueckert@suse.de
- initial package. used for rails 3
